cURL
curl --request PUT \ --url https://api.zangsho.com/v1/subscriptions/{id} \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data ' { "plan_name": "<string>", "mrr": "<string>", "billing_cycle": "monthly", "current_period_start": "2023-11-07T05:31:56Z" } '
{ "data": { "id": 123, "customer_id": 123, "status": "active", "plan_name": "<string>", "mrr": "<string>", "billing_cycle": "<string>", "source": "api", "started_at": "2023-11-07T05:31:56Z", "current_period_start": "2023-11-07T05:31:56Z", "cancelled_at": "2023-11-07T05:31:56Z", "created_at": "2023-11-07T05:31:56Z", "updated_at": "2023-11-07T05:31:56Z" } }
更新訂閱資料。
根據 MRR 變化自動產生事件:
upgrade
downgrade
使用 Laravel Sanctum Token 進行認證。
Token 可在商家後台的「API 設定」頁面取得。
monthly
quarterly
semi-annual
yearly
訂閱更新成功
Show child attributes